/*
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Copyright (c) 2013 digitalSTROM.org, Zurich, Switzerland
 *  Author: Sibylle Kohler
 */

var sInitialising;
var sWronVersion;

/**  Login Tab  **/
var sLoginTab;

//Step1 texts
var sStep1Titel;
var sStep1Text;
var sAccountFoundText;
var sNoAccountFoundText;
var sTermsAndConditions;
var sCreateButtonLabel;
var sWaitAccountVerification;

var sWaitRCExistence;
var sRestoreRCConnection;

//Step 2 texts
var sStep2Title;
var sStep2Text;
var sConnectButtonLabel;
var sWaitConnecting;
var sWaitRestoringConnection;

//Step3 texts
var sStep3Title;
var sStep3Text;

/**  Connected Tab  **/
var sConnectedTab;

//Info Panel
var sInfoTextStr;

//Status Panel
var sUserNameLabel;
var sStatusLabel;
var sConnected;
var sDisconnected;

//Service Panel texts
var sServiceText;
var sServiceButtonLabel;

//Connection Management texts
var sConnectionManagementSection1;
var sConnectionManagementSection2;
var sDisconnectButtonLabel;
var sManageConnectionTitle;
var sConfirmDisconnect;
var sConfirmButton;
var sWaitDisconnect;

//Backup Service texts
var sBackupServiceSection1;
var sBackupServiceSection2;
var sOpenBackupButtonLabel;
var sActivateAutoBackup;
var sBackupServiceTitle;

//Temporary Access texts
var sTempServiceTtile;
var sTempServiceDesc;
var sTimePeriodLabel;
var sExpirationTimeLabel;
var sSendMailButton;
var sResendMailButton;
var sWaitTempLink;
var sSubject;
var sTitle;
var sBody2;
var sGreetings;
var sFirstName;
var sLastName;
var sWaitTempLinkVerification;
var sHintExists;

//dialogs
var sBlankTextUser;
var sPasswordLabel;    
var sUserNameLabel;
var sBlankTextPwd;
var sWrongFormat;
var sErrorDefaultText;
var sOK;
var sCancel;
var sYes;
var sNo;
var sDefaultConfirmation;
var sDefaultWaitText;
var sLoginTitle;
var sErrorTitle;
var sWaitTitle;
var sConfirmationTitle;

//Error texts
var sConnectErrorIntro;
var sErrorCredentials;
var sErrorMAC;
var sErrordSID;
var sErrorNetwork;
var sErrorDefaultPWD;
var sErrorHint;
var sDisconnectErrorIntro;
var sNotYetSupported;
var sRCRestoreErrorIntro;

var sTimeout;
var sUnknownError;
var sExceptionCheckServiceState;
var sExceptionCheckBackupState;
var sErrorDecoding;
var sTempLinkError;

function initStrings() {
	sInitialising                   = _("Loading...");
	sWronVersion                    = _('my.digitalSTROM needs dSS Version 1.8.0 or higher. You need to update your dSS before you can use it');
	/**  Login Tab  **/
	sLoginTab                       = _("Login");

	//Step1 texts
	sStep1Titel                     = _("Step 1:");
	sStep1Text                      = _("Create your home's digitalSTROM account on our service platform.If you created this account earlier already, you might skip this step.");
	sAccountFoundText               = _("An account registered to this dSS was found.");
	sNoAccountFoundText             = _("No account is registered to this dSS yet.");
	sTermsAndConditions             = _("Notices on Remote Connectivity");
	sCreateButtonLabel              = _("Create your digitalSTROM Account");
	sWaitAccountVerification        = _("Please wait, we check the existence of an account for this digitalSTROM-Server.");

	sWaitRCExistence                = _("Please wait, we check the existence of a Remote connectivity connection aassociated with your my.digitalSTROM account.");
	sRestoreRCConnection            = _("Do you want to restore your previous Remote Connectivity connection?");

	//Step 2 texts
	sStep2Title                     = _("Step 2:");
	sStep2Text                      = _("Connect your digitalSTROM-Server to your online account. Just enter your user name and password, after which this app will enable the remote connection service and connect to the online service platform.");
	sConnectButtonLabel             = _("Connect digitalSTROM-Server with Account");
	sWaitConnecting                 = _("Please wait, your digitalSTROM-Server is now being connected to your account.");

	sWaitRestoringConnection        = _("Please wait, your digitalSTROM-Server is now being connected to your account, restoring your previous connection.");

	//Step3 texts
	sStep3Title                     = _("Step 3:");
	sStep3Text                      = _("Use your user name and password to connect your smartphone, tablet or computer and control your digitalSTROM home from everywhere.");

	/**  Connected Tab  **/
	sConnectedTab                   = _("connected");

	//Info Panel
	sInfoTextStr                    = _("You are connected to the remote services and can benefit from easily accessing your home through the internet. By entering the user name and corresponding password, you can easily control your digitalSTROM home from the smartphone, tablet or computer.");

	//Status Panel
	sUserNameLabel                  = _("User name");
	sStatusLabel                    = _("Status");
	sConnected                      = _("Connected");
	sDisconnected                   = _("Disconnected");

	//Service Panel texts
	sServiceText                    = _("Online services and settings can be modified using the online service platform.");
	sServiceButtonLabel             = _("Open Service Platform");

	//Connection Management texts
	sConnectionManagementSection1   = _("The digitalSTROM-Server can be disconnected from remote services and your user account completely. When disconnecting, connection details both on the digitalSTROM-Server and the online service platform are deleted.");
	sConnectionManagementSection2   = _("To reconnect, the Remote Connectivity App must be accessed from your local network and the user name and password needs to be entered again.");
	sDisconnectButtonLabel          = _("Permanently Disconnect");
	sManageConnectionTitle          = _("Manage Connection");
	sConfirmDisconnect              = _("Are you sure you want to disconnect from remote service and your online user account completely?");
	sConfirmButton                  = _("Yes");
	sWaitDisconnect                 = _("Please wait, your digitalSTROM-Server is now being disconnected from remote service and your online account completely");

	//Backup Service texts
	sBackupServiceSection1          = _("System settings, names and server-app configuration can be saved automatically. When enabled, a backup file is copied to your online service platform once a week. You can download the backup files from the data backup section on the service platform any time.");
	sBackupServiceSection2          = _("Note that remote connectivity login information, the email-account password as well as room, meter and activity settings will not be stored in the backup.");
	sOpenBackupButtonLabel          = _("Open Data Backup Page");
	sActivateAutoBackup             = _("Automatically backup my digitalTROM-Server settings");
	sBackupServiceTitle             = _("Backup Service");
	
	
    //temporary access
	sTempServiceTtile               = _("Temporary Access");
	sTempServiceDescP1              = _("Would you like to integrate a new device into your digitalSTROM network - or do you need help with a digitalSTROM function?");
    sTempServiceDescP2              = _("You can give another person temporary access to your digitalSTROM installation.");
    sTempServiceDescP3              = _("Our system will generate an e-mail with an active link for the time-frame chosen by you. However, for added security you should send your digitalSTROM configurator log in password in another e-mail or by telephone.");
	sTimePeriodLabel                = _("Validity");
	sExpirationTimeLabel            = _("Experation time");
	sSendMailButton                 = _("Send invitation");
	sResendMailButton               = _("Resend invitaion");
    sWaitTempLink                   = _("Please wait, your temporary link will be created");
    sSubject                        = _("Temporary access to digitalSTROM");
    sTitle                          = _("Ladies and Gentlemen,");
    sBody2                          = _("The password for accessing the digitalSTROM server I will send you in a separate email.");
    sGreetings                      = _("Regards");
    sFirstName                      = _("Firstname");
    sLastName                       = _("Lastname");
    sWaitTempLinkVerification       = _("Please wait...");
    sUnit                           = _("hours");
    sHintExists                     = _("Temporary access already exists");
    
    //dialogs
	sBlankTextUser                  = _("User name must be provided");
	sPasswordLabel                  = _("Password");    
	sUserNameLabel                  = _("User Name");
	sBlankTextPwd                   = _("Password must be provided");
	sWrongFormat                    = _('user name has wrong format');
	sErrorDefaultText               = _("An error occured, please try again");
	sOK                             = _("OK");
	sCancel                         = _("Cancel");
	sYes                            = _("Yes");
	sNo                             = _("No");
	sDefaultConfirmation            = _("Are you sure");
	sDefaultWaitText                = _("Please wait");
	sLoginTitle                     = _("digitalSTROM login");
	sErrorTitle                     = _("Error");
	sWaitTitle                      = _("Please wait");
	sConfirmationTitle              = _("Confirmation");

	//Error texts
	sConnectErrorIntro              = _("Connection of your digitalSTROM-Server to your online account failed.");
	sErrorCredentials               = _("User name or password wrong or your account does not match to this MAC adress.");
	sErrorMAC                       = _("MAC address unknown.");
    sErrordSID                      = _("dSID unknown.");
    sErrorNetwork                   = _("Check your network connection.");
    sErrorDefaultPWD                = _("You still use the default password for your dSS, please change password before connecting.");
    sErrorHint                      = _("Please try again");
    sDisconnectErrorIntro           = _("Disconnect digitalSTROM-Server from remote service and your online user account failed.");
    sNotYetSupported                = _("Sorry, the temporary access functionality is not yet supported. Please update your my.digitalSTROM app.");
    sTimeout                        = _("We are sorry the action timed out, Please try again.");
	sUnknownError                   = _("We are sorry but an unknown error occured, Plase try again.");
	sExceptionCheckServiceState     = _("An exception occured when trying to get current service state.");
	sExceptionCheckBackupState      = _("An exception occured when trying to get current backup state.");
	sErrorDecoding                  = _("Error occurred decoding answer");
	sTempLinkError                  = _("Activation of temoprary access failed. Please try again.");
	sTempLinkExpired                = _("Temporary access already expired.");
	sRCRestoreErrorIntro            = _("Verifying the existence of an remote connectivity connection failed.");
}
